CircuitBreaker (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel
Class CircuitBreaker

    java.lang.Object
      org.neo4j.kernel.CircuitBreaker

    public class CircuitBreaker

extends Object

Implementation of the CircuitBreaker pattern

Nested Class Summary
`static class` | `CircuitBreaker.Status`

Constructor Summary
`CircuitBreaker()`
`CircuitBreaker(int threshold, long timeout)`
`CircuitBreaker(int threshold, long timeout, Specification<Throwable> allowedThrowables)`

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener pcl)`
`void` | `addVetoableChangeListener(VetoableChangeListener vcl)`
`Date` | `getEnableOn()`
`Throwable` | `getLastThrowable()`
`double` | `getServiceLevel()`
`CircuitBreaker.Status` | `getStatus()`
`int` | `getThreshold()`
`Date` | `getTrippedOn()`
`boolean` | `isOn()`
`void` | `removePropertyChangeListener(PropertyChangeListener pcl)`
`void` | `removeVetoableChangeListener(VetoableChangeListener vcl)`
`void` | `success()`
`void` | `throwable(Throwable throwable)`
`void` | `trip()`
`void` | `turnOn()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CircuitBreaker

    public CircuitBreaker(int threshold,
                          long timeout,
                          Specification<Throwable> allowedThrowables)

### CircuitBreaker

    public CircuitBreaker(int threshold,
                          long timeout)

### CircuitBreaker

    public CircuitBreaker()

Method Detail

### trip

    public void trip()

### turnOn

    public void turnOn()
                throws PropertyVetoException

  Throws:
    `PropertyVetoException`

### getThreshold

    public int getThreshold()

### getLastThrowable

    public Throwable getLastThrowable()

### getServiceLevel

    public double getServiceLevel()

### getStatus

    public CircuitBreaker.Status getStatus()

### getTrippedOn

    public Date getTrippedOn()

### getEnableOn

    public Date getEnableOn()

### isOn

    public boolean isOn()

### throwable

    public void throwable(Throwable throwable)

### success

    public void success()

### addVetoableChangeListener

    public void addVetoableChangeListener(VetoableChangeListener vcl)

### removeVetoableChangeListener

    public void removeVetoableChangeListener(VetoableChangeListener vcl)

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener pcl)

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener pcl)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.